%define upstream_name    Mojolicious-Plugin-Mail
%define upstream_version 1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Mojolicious Plugin for send mail
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::EncWords)
BuildRequires: perl(MIME::Lite) >= 3.27.0
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Mojolicious) >= 1.170.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
the Mojolicous::Plugin::Mail manpage is a plugin for Mojolicious apps to
send mail using the MIME::Lite manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml example
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-2.mga4
+ Revision: 525746
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 shlomif <shlomif> 1.0.0-1.mga4
+ Revision: 434423
- New version 1.0

* Sun Jan 13 2013 umeabot <umeabot> 0.940.0-2.mga3
+ Revision: 370038
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 04 2012 kharec <kharec> 0.940.0-1.mga3
+ Revision: 253971
- update to 0.94

* Tue Feb 21 2012 kharec <kharec> 0.900.0-1.mga2
+ Revision: 211672
- update to 0.9

* Sat Nov 19 2011 kharec <kharec> 0.830.0-1.mga2
+ Revision: 169276
- imported package perl-Mojolicious-Plugin-Mail


* Sat Nov 19 2011 cpan2dist 0.83-1mga
- initial mageia release, generated with cpan2dist
